package com.uas.eis.entity;

import java.util.Objects;

/**
 * Created by luhg on 2018/4/20.
 * 异常处理返回信息
 */
public enum ErrorMessage {
    SYS_ILLEGAL("0001","请求异常"),
    TIMESTAMP_ILLEGAL("1001","请求时间戳不合法"),
    ACCESSKEY_ILLEGAL("1002","加密KEY不合法"),
    TIMEOUT_ILLEGAL("1003","请求超时"),
    REQUESTID_ILLEGAL("1004","随机字符串不合法"),
    SIGNATURE_ILLEGAL("1005","签名错误"),
    BUSINESS_ILLEGAL("2001","业务异常"),
    BUSINESS_TYPENULL("2002","类型不能为空"),
    BUSINESS_TYPEILLEGAL("2003","类型不在范围内"),
    BUSINESS_DATAILLEGAL("2004","业务数据为空"),
    ACCESSSECRET_ERROR("1002","密码不正确"),
    ACCESSKEY_ERROR("1001","用户名不存在");

    private String code;
    private String message;

    ErrorMessage(String  code,String message){
        this.code = code;
        this.message = message;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

}
